#version 430 core

layout (location = 0) out vec4 final_color;

in VertexData
{
	vec2 tex_coord;
} inData;

layout (binding = 0) uniform sampler2D input_tex;

void main()
{
	// Get the color from the texture
	vec3 tex_color = texture(input_tex, inData.tex_coord).rgb;

	// Calculate the intensity: multiply the colors with factors and sum them
	float intensity = dot(tex_color, vec3(0.3, 0.6, 0.1));
	
	// Write the result
	final_color = vec4(vec3(intensity), 1.0);
}